﻿@model ChangePasswordModel
@using TAMRCPS.Web.Models


   <div class="row">
        <form id="frmChangePassword" class="form-horizontal">
            <div class="col-md-12">
                <div class="form-group">
                    <label class="col-lg-4 control-label">Old Password:</label>
                    <div class="col-lg-8 inputGroupContainer">
                        <div class="input-group">
                            @Html.PasswordFor(model => model.OldPassword, new {@class = "form-control" })
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-4 control-label">New Password:</label>
                    <div class="col-lg-8 inputGroupContainer">
                        <div class="input-group">
                            @Html.PasswordFor(model => model.NewPassword, new {@class = "form-control" })
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-4 control-label">Confirm Password:</label>
                    <div class="col-lg-8 inputGroupContainer">
                        <div class="input-group">
                            @Html.PasswordFor(model => model.ConfirmPassword, new {@class = "form-control" })
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-lg-4"></div>
                    <div class="col-lg-8 inputGroupContainer">
                        <button id="box-actionUpdate" class='btn btn-warning'><i class="fa fa-check"></i> Change Password</button>
                    </div>
                </div>
         
            </div>
        </form>
    </div>




<script>
    $(document).ready(function () {
        $('#frmChangePassword').bootstrapValidator({
            feedbackIcons: {
                valid: 'glyphicon glyphicon-ok',
                invalid: 'glyphicon glyphicon-remove',
                validating: 'glyphicon glyphicon-refresh'
            },
            fields: {
                OldPassword: {
                    validators: {
                        notEmpty: {
                            message: 'Old password is required and cannot be empty'
                        }
                    }
                },
                NewPassword: {
                    validators: {
                        notEmpty: {
                            message: 'New password is required and cannot be empty'
                        },
                        identical: {
                            field: 'ConfirmPassword',
                            message: 'New password and its confirm must be same'
                        },
                        stringLength: {
                            min: 8,
                            max: 15,
                            message: 'Password has 8-15 characters'
                        },
                        regexp: {
                            regexp: /^[A-Za-z0-9]{8,15}$/,
                            message: 'Password can only consist of alphabetical and number'
                        },
                    }
                },
                ConfirmPassword: {
                    validators: {
                        notEmpty: {
                            message: 'Confirm password is required and cannot be empty'
                        },
                        identical: {
                            field: 'NewPassword',
                            message: 'New password and its confirm must be same'
                        },
                        regexp: {
                            regexp: /^[A-Za-z0-9]{8,15}$/,
                            message: 'Password can only consist of alphabetical and number'
                        },
                    }
                }
            }
        }).on('success.form.bv', function (e) {
            e.preventDefault();
            var $form = $("#frmChangePassword");
            var jsonData = $form.serializeObjectIntoJson();
            var jsonString = JSON.stringify(jsonData);
            var _label = "";
            var _className = "";
            var isHide = true;
            $.ajax({
                url: '@Url.Action("PartialUpdate","DataTable")',
                type: "POST",
                data: { tbl: 'ChangePassword', frmData: jsonString },
                success: function (data) {
                    isHide = data.status;
                    if (isHide == true) {
                        _label = "<i class='fa fa-check'></i> Success";
                        _className: "btn-success";
                    } else {
                        _label = "<i class='fa fa-times'></i> Failed";
                        _className: "btn-danger";
                    }
                    bootbox.dialog({
                        message: data.message,
                        title: data.title,
                        buttons: {
                            main: {
                                label: _label,
                                className: _className,
                                callback: function () {
                                    if (isHide == true) {
                                        window.location.reload();
                                    }
                                }
                            }
                        }
                    });
                },
                error: function () {
                    alert('Error')
                }
            });
        });
    });

</script>



